Bug 815878 - Ctrl+C while in yum does not always prompt for confirmation
Ctrl+C while in yum does not always prompt for confirmation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 13:47 EDT by Cybertimber2011
Modified: 2014-01-21 18:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:53:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cybertimber2011 2012-04-24 13:47:43 EDT
Description of problem:
When executing a "yum [install|upgrade] -y ... with multiple packages " (ex: yum install -y wget postgresql-server postgresql-contrib pgadmin3 java-1.6.0-openjdk-devel), when the packages are downloading if you press CTRL+C, it should prompt for the user to press CTRL+C again to exit. Instead, it immediatley closes.
CTRL+C is sometimes used to switch mirrors (so I see from past bugs) and should prompt as confirmation to quit.


Version-Release number of selected component (if applicable):
Fedora 17
yum.noarch 0:3.4.3-18.fc17
yum-3.4.3-23.fc17 (updated from the above)

How reproducible:
Iffy, see notes.

Steps to Reproduce:
1. Open Terminal
2. Paste "yum install -y wget postgresql-server postgresql-contrib pgadmin3 java-1.6.0-openjdk-devel"
3. Wait for packages to start downloading
4. Press "Ctrl+C"
  
Actual results:
Yum exits to prompt

Expected results:
Yum prompts user to press "Current download cancelled, interrupt (ctrl-c) again within two seconds
to exit.".

Additional info:
"yum install -y mysql" - pressing CTRL+C shows the prompt/confirmation to press CTRL+C again
"yum install -y mysql php" - pressing CTRL+C exits without prompt.
"yum install mysql php" - pressing CTRL+C exits without prompt.
"yum install mysql" - pressing CTRL+C shows the prompt/confirmation to press CTRL+C again

"yum update -y" also exibits this behavior.
"yum update -y gnome-video-effects grep" - pressing CTRL+C exits without prompt
"yum update cheese kmod" - pressing CTRL+C shows the prompt/confirmation to press CTRL+C again

Maybe "-y" is the cause?

Possible second bug: "Yum update -y" during delta download, it prompts. If you wait and try again during the full package download, it seems not to. Maybe this only happens after pressing CTRL+C once, and even after waiting 30 seconds, pressing it again will exit. It should prompt again if some time has passed.
Comment 1 Cybertimber2011 2012-04-24 13:49:02 EDT
**" Maybe "-y" is the cause?" - as seen in the yum install senario, probably not.
Comment 2 Zdeněk Pavlas 2012-04-25 05:09:04 EDT
> Actual results:
> Yum exits to prompt

Does it print "Exiting on user cancel"?

> Maybe "-y" is the cause?

I'm pretty sure not.
Comment 3 Cybertimber2011 2012-04-25 07:22:40 EDT
It does not print "Exiting on user cancel".
I should have mentioned that earlier.
Comment 4 Cybertimber2011 2012-04-25 07:24:52 EDT
Let me be a little clearer:
When it does prompt to press CTRL+C again, it will say "Exiting on user cancel".
In the cases where it doesn't prompt to press CTRL+C again, it just exits. No CTRL+C prompt, no "Exiting on user cancel" message.
Comment 5 Fedora Admin XMLRPC Client 2012-04-27 11:23:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-07-03 22:16:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 03:53:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.